<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']='Поиск анкет'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();

echo "<div class=\"str\">\n";
echo "<a href=\"/love/\">Знакомства</a> &gt; Поиск анкет<br />\n";
echo "</div>\n";

################## go поиск в базе ##################
$pol=NULL;
if (isset($_SESSION['pol']))$pol=$_SESSION['pol'];
if (isset($_POST['pol']))$pol=$_POST['pol'];
$_SESSION['pol']=$pol;
$pol=ereg_replace("( ){1,}","",$pol);

$ank_city=NULL;
if (isset($_SESSION['ank_city']))$ank_city=esc(stripcslashes(htmlspecialchars($_SESSION['ank_city'])));
if (isset($_POST['ank_city']))$ank_city=esc(stripcslashes(htmlspecialchars($_POST['ank_city'])));
$_SESSION['ank_city']=$ank_city;
$ank_city=ereg_replace("( ){1,}","",$ank_city);


$age=NULL;
if (isset($_SESSION['age']))$age=esc(stripcslashes(htmlspecialchars($_SESSION['age'])));
if (isset($_POST['age']))$age=esc(stripcslashes(htmlspecialchars($_POST['age'])));
$_SESSION['age']=$age;
$age=ereg_replace("( ){1,}","",$age);


if (isset($_GET['go']) && $ank_city!=NULL)
{
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `pol` = '".$pol."' AND `ank_city` like '%".mysql_escape_string($ank_city)."%'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

if ($k_post==0)
echo "Извините, по Вашему запросу ничего не найдено";



$q=mysql_query("SELECT * FROM `user` WHERE `pol` = '".$pol."' AND `ank_city` like '%".mysql_escape_string($ank_city)."%' ORDER BY rating DESC LIMIT $start, $set[p_str]");
while ($ank = mysql_fetch_array($q))
{
if($num==1){
echo "<div class='rowdown'>";
$num=0;
}else{
echo "<div class='rowup'>";
$num=1;}

echo "".online($ank['id'])." \n";
echo "<a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a>\n";
include_once '../sys/inc/tfoot.php';
echo "".adm($ank['id'])." \n";

if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
echo "<span class=\"ank_d\">$ank[ank_age] лет</span>\n";
}

if ($ank['ank_city']!=NULL)echo ", <span class=\"ank_d\">$ank[ank_city]</span><br />\n";
echo "</div>\n";
}



if ($k_page>1)str("search.php?go&amp;",$k_page,$page); // Вывод страниц
echo "<a href=\"search.php\" title=\"Поиск половинки\">Новый поиск</a><br/>";
echo "<a href='/love/'>Знакомства</a>\n";
include_once '../sys/inc/tfoot.php';
}

else

{          /////////// формы ввода критериев поиска             /////////// формы ввода критериев поиска

echo "<form method=\"post\" action=\"search.php?go\">";
//echo "<br />";
echo "Искать:<br />\n";
echo "<select name=\"pol\">\r\n";
echo "<option value=\"1\">Парня</option>\r\n";
echo "<option value=\"0\">Девушку</option>\r\n";
echo "</select><br />\r\n";

echo "<br />";

echo "Город:<br/>";
echo "<input type=\"text\" name=\"ank_city\" value=\"$ank_city\"/><br />\r\n";

echo "<br />";
echo "Возраст:<br />\r\n";
echo "От: <input type=\"text\" value=\"\" name=\"age\" size=\"2\" maxlength=\"2\" />";
echo "<br />";
echo "<input type=\"checkbox\" name=\"$foto\" />C фото<br />\r\n";

echo "<input type=\"checkbox\" name=\"$online\" />Онлайн<br />\r\n";

echo "<br />";

echo "<input type=\"submit\" value=\"Найти\" />";
echo "</form>\n";



include_once '../sys/inc/tfoot.php';}
?>
